> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Migrate a Link Item ID

> Returns the Item ID's that correspond to a provided list of Link item ID's.

- Link item ID's were used in Link 4 initializations.
- Item ID's are used in [Link 5 initializations](/link/initialization).

Item ID's use the convention: "item_[9 digits]" - `"item_123456789"` for example.




## OpenAPI

````yaml post /v2/item-migrations
openapi: 3.0.0
info:
  title: Items API
  version: '2.0'
  description: >
    Users connect their payroll accounts through Items in Link.

    Our [Items guide](/overview/data-structure/items) provides more information
    on how to retrieve:


    - Which data fields an Item supports, and how often an Item is re-scanned
    for new data.

    - What deposit switching capabilities an Item has.

    - Whether an Item is `healthy` and supports new connections or is
    experiencing issues.

    - What data limits or other constraints the Item's underlying payroll system
    has, if any.
servers: []
security:
  - basicAuth: []
paths:
  /v2/item-migrations:
    post:
      summary: Migrate a Link item ID
      description: >
        Returns the Item ID's that correspond to a provided list of Link item
        ID's.


        - Link item ID's were used in Link 4 initializations.

        - Item ID's are used in [Link 5 initializations](/link/initialization).


        Item ID's use the convention: "item_[9 digits]" - `"item_123456789"` for
        example.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                link_items:
                  type: array
                  description: Array of Link item ID's.
                  items:
                    type: string
              required:
                - link_items
            example:
              link_items:
                - GigAndGo
                - GigDrive
                - GigAntic
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                description: >
                  Object keyed by Link item ID's.

                  Each key maps to an object containing the corresponding Item
                  ID.
              example:
                GigAndGo:
                  id: item_000000003
                GigDrive:
                  id: item_000000042
                GigAntic:
                  id: item_000000819
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````